[Xfce4-commits] <midori:master> Check whether licensecheck is installed or not

Christian Dywan noreply at xfce.org
Sun Nov 18 19:08:02 CET 2012


Updating branch refs/heads/master
         to b724845b7ff341b5aa48a97c93d92a166403c3c8 (commit)
       from bf3fe2d5d1629c22623f2c57a056f8b4a2f4ad35 (commit)

commit b724845b7ff341b5aa48a97c93d92a166403c3c8
Author: Christian Dywan <christian at twotoasts.de>
Date:   Sun Nov 18 18:58:19 2012 +0100

    Check whether licensecheck is installed or not

 tests/license.sh    |    4 +++-
 tests/wscript_build |    1 +
 2 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/tests/license.sh b/tests/license.sh
index 59467cc..c2764ca 100755
--- a/tests/license.sh
+++ b/tests/license.sh
@@ -6,6 +6,8 @@
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 echo Running 'licensecheck'
+test -z $(which licensecheck) && echo ...SKIPPED: not installed && return 0
 test -n "$SRCDIR" && cd $SRCDIR
-find . \! -path './.waf*/*' -a \! -path './_build/*' | xargs licensecheck | grep UNKNOWN && exit 1
+test -z "$BLDDIR" && BLDDIR=_build
+find . \! -path './.waf*/*' -a \! -path "./$BLDDIR/*" | xargs licensecheck | grep UNKNOWN && exit 1
 echo ...OK
diff --git a/tests/wscript_build b/tests/wscript_build
index 6539dc4..a8727ab 100644
--- a/tests/wscript_build
+++ b/tests/wscript_build
@@ -25,6 +25,7 @@ for test in tests:
         obj.no_inputs = obj.no_outputs = obj.command_is_external = True
         obj.command = ['python', 'sh'][test[-3:] == '.sh']
         os.environ['SRCDIR'] = os.getcwd ()
+        os.environ['BLDDIR'] = '_build'
         obj.argv = [os.path.join (os.getcwd (), folder)]
         continue
     elif test[-2:] == '.c':


More information about the Xfce4-commits mailing list